Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## superwaba.ext.xplat.sql
Class Types

    java.lang.Object
      |
      +--superwaba.ext.xplat.sql.Types

public class Types
extends Object

This class contains constants that are used to identify SQL data types.

Field Summary
`static int` | `ARRAY`
`static int` | `BIGINT`
`static int` | `BINARY`
`static int` | `BIT`
`static int` | `BLOB`
`static int` | `BOOLEAN`
`static int` | `CHAR`
`static int` | `CLOB`
`static int` | `DATALINK`
`static int` | `DATE`
`static int` | `DECIMAL`
`static int` | `DISTINCT`
`static int` | `DOUBLE`
`static int` | `FLOAT`
`static int` | `INTEGER`
`static int` | `JAVA_OBJECT`
`static int` | `LONGVARBINARY`
`static int` | `LONGVARCHAR`
`static int` | `NULL`
`static int` | `NUMERIC`
`static int` | `OTHER`
`static int` | `REAL`
`static int` | `REF`
`static int` | `SMALLINT`
`static int` | `STRUCT`
`static int` | `TIME`
`static int` | `TIMESTAMP`
`static int` | `TINYINT`
`static int` | `VARBINARY`
`static int` | `VARCHAR`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, toString, wait, wait`

Field Detail

### BIT

    public static final int BIT

### TINYINT

    public static final int TINYINT

### SMALLINT

    public static final int SMALLINT

### INTEGER

    public static final int INTEGER

### BIGINT

    public static final int BIGINT

### FLOAT

    public static final int FLOAT

### REAL

    public static final int REAL

### DOUBLE

    public static final int DOUBLE

### NUMERIC

    public static final int NUMERIC

### DECIMAL

    public static final int DECIMAL

### CHAR

    public static final int CHAR

### VARCHAR

    public static final int VARCHAR

### LONGVARCHAR

    public static final int LONGVARCHAR

### DATE

    public static final int DATE

### TIME

    public static final int TIME

### TIMESTAMP

    public static final int TIMESTAMP

### BINARY

    public static final int BINARY

### VARBINARY

    public static final int VARBINARY

### LONGVARBINARY

    public static final int LONGVARBINARY

### NULL

    public static final int NULL

### OTHER

    public static final int OTHER

### JAVA_OBJECT

    public static final int JAVA_OBJECT

### DISTINCT

    public static final int DISTINCT

### STRUCT

    public static final int STRUCT

### ARRAY

    public static final int ARRAY

### BLOB

    public static final int BLOB

### CLOB

    public static final int CLOB

### REF

    public static final int REF

### DATALINK

    public static final int DATALINK

### BOOLEAN

    public static final int BOOLEAN

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD